module MnoEnterprise
  class Nimbus::V4::AppInstancesController < Nimbus::V4::BaseController

    private

      def resource_klass
        MnoEnterprise::AppInstance
      end

      def get_resources
        parent.app_instances
      end

      def get_resource(uid)
        MnoEnterprise::AppInstance.find_by(uid: uid)
      end

      def params_create_whitelist
        [:product]
      end

      def build_resource(attributes)
        attrs = attributes.dup
        parent.app_instances.create attrs
      end

      def destroy_resource(resource)
        return false unless resource
        resource.terminate
      end

      def hash_for(resource)
        hash_for_app_instance resource
      end
  end
end
