module MnoEnterprise
  class Nimbus::V4::OrganizationsController < Nimbus::V4::BaseController

    #===========================================================
    # Private
    #===========================================================
    private
      def resource_klass
        MnoEnterprise::Organization
      end

      # Retrieve all groups
      def get_resources
        MnoEnterprise::Organization.all
      end

      # Retrieve a group via id
      def get_resource(uid)
        MnoEnterprise::Organization.find_by({uid: uid})
      end

      # Define the list of parameters for creating a resource
      def params_create_whitelist
        [:name]
      end

      def after_create_resource(resource)
        resource.free_trial_end_at = 15.years.from_now
        resource.save
      end

      # Hash representation of the resource
      def hash_for(resource)
        hash_for_organization resource
      end
  end
end
