module MnoEnterprise
  class Nimbus::V4::ServicesController < Nimbus::V4::BaseController
    respond_to :json

    # GET nimbus/v4/service/schema
    # Return the API
    def schema
      render 'schema_dev', formats: [:json] if Rails.env.test? || Rails.env.development?
      render 'schema_uat', formats: [:json] if Rails.env.uat?
      render 'schema', formats: [:json] if Rails.env.production?
    end

    # GET nimbus/v4/service/status
    # Return service status
    def status
      @start_time = Time.now
      render json: {data: {available: true, response_time: ((Time.now - @start_time)*1000).round}}
    end
  end
end
