MnoEnterprise::Nimbus::Engine.routes.draw do
  scope :nimbus do
    namespace :v4 do
      get :schema, to: 'services#schema'
      get :status, to: 'services#status'

      resources :resource_instances, only: [:index, :show, :create]
      resources :apps, only: [:index, :show]
      resources :events, only: [:index, :show]
      resources :statistics, only: [:index, :show]
      resources :organizations, except: [:new, :edit] do
        resources :users, shallow: true, except: [:new, :edit]
        resources :app_instances, shallow: true, except: [:new, :edit, :update], constraints: {id: /[^\/]+/}
      end
    end
  end
end
